Bug 986312 - There should not be a Hibernate3 quickstart in EAP, Hibernate 3 is not supported
There should not be a Hibernate3 quickstart in EAP, Hibernate 3 is not supported
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 07:42 EDT by Adam Kovari
Modified: 2015-08-31 23:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:13:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Kovari 2013-07-19 07:42:02 EDT
Description of problem:
Hibernate3 quickstart should be ideally removed, or at least there should be a warning that using Hibernate 3 is not supported on EAP 6.
It should be moved to community JBoss AS.
Comment 1 sgilda 2013-07-19 08:05:14 EDT
This quickstart was provided mainly to show the differences between Hibernate 3 and Hibernate 4. 

Hibernate 3 is not supported, but unfortunately some Seam applications from prior releases may not be able to easily upgrade to Hibernate 4.x. Please see this section in the Migration Guide: 
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html-single/Migration_Guide/index.html

I will clarify this in the README for this quickstart.
Comment 2 sgilda 2013-09-06 14:10:23 EDT
I changed the opening paragraph from:

This is a simple JSF 2.0 example based on the hibernate4 quickstart. Its purpose is to demonstrate how you can use Hibernate 3 in your application.


to:

Note: Hibernate 3.x is not a supported configuration in JBoss Enterprise Application Platform 6 or JBoss AS 7.

The sole purpose of this quickstart is to help you understand the changes needed to move your application from Hibernate 3.x to Hibernate 4. This quickstart has the same functionality as the hibernate4 quickstart but uses the Hibernate 3 libraries. Compare this quickstart to the hibernate4 quickstart to see the code and class differences between Hibernate 3 and Hibernate 4.


Does that sound better?
Comment 3 sgilda 2013-09-06 14:15:23 EDT
Issued pull: https://github.com/jboss-jdf/jboss-as-quickstart/pull/607
Comment 12 Vladimir Rastseluev 2013-10-10 02:59:29 EDT
Verified on EAP 6.2.0 ER5.1

Note You need to log in before you can comment on or make changes to this bug.